[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.ButtonDropWidth

Width for the drop-down button indicator.

## Declaration

Source position: comctrls.pp line 2371

`public property TToolBar.ButtonDropWidth : Integer read GetButtonDropWidth;`

## Description

ButtonDropWidth is a read-only Integer property with the number of pixels needed for a drop-down button and its drop-down indicator.

## See also

TToolBar.DropDownWidth |  | Width of the drop down arrow button.
TToolBar.FontChanged |  | Performs actions needed when the Font has changed for the control.
TToolButton.Paint |  | Draws the tool bar button to the Canvas for the control.
TToolButton.PointInArrow |  | Indicates if the specified position is within the bounds for the arrow drawn on a drop-down button.
TToolButton.CalculatePreferredSize |  | Calculates the preferred dimensions for new instances of the control.